Skip to main content
GET
/
routing-deposit-addresses
/
{depositAddress}
/
{depositChain}
Get routing deposit address status
curl --request GET \
  --url https://api.rhino.fi/sda/routing-deposit-addresses/{depositAddress}/{depositChain} \
  --header 'Authorization: Bearer <token>'
{
  "depositChain": "<string>",
  "depositAddress": "<string>",
  "routes": [
    {
      "action": {
        "destinationChain": "<string>",
        "destinationAddress": "<string>",
        "_tag": "bridge"
      },
      "matcher": {
        "symbolsOrAddresses": [
          "<string>"
        ],
        "_tag": "sentToken"
      },
      "priority": 1
    }
  ],
  "addressNote": "<string>",
  "refundAddress": "<string>",
  "webhookUrl": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

depositAddress
required

a string that will be trimmed

depositChain
string
required

Response

RoutingDepositAddress

depositChain
string
required

a non empty string

Minimum string length: 1
depositAddress
string
required

a non empty string

Minimum string length: 1
routes
object[]
required
Minimum array length: 1
addressNote
string

a string at most 80 character(s) long

Maximum string length: 80
refundAddress
string

a non empty string

Minimum string length: 1
webhookUrl
string

a non empty string

Minimum string length: 1